Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### printMatrix()
Examples |
    size(100, 100, P3D);
    printMatrix();
    // Prints:
    // 01.0000  00.0000  00.0000 -50.0000
    // 00.0000  01.0000  00.0000 -50.0000
    // 00.0000  00.0000  01.0000 -86.6025
    // 00.0000  00.0000  00.0000  01.0000

    resetMatrix();
    printMatrix();
    // Prints:
    // 1.0000  0.0000  0.0000  0.0000
    // 0.0000  1.0000  0.0000  0.0000
    // 0.0000  0.0000  1.0000  0.0000
    // 0.0000  0.0000  0.0000  1.0000
Description | Prints the current matrix to the text window.
Syntax |
    printMatrix()
Returns | None
Usage | Web & Application
Related | pushMatrix() popMatrix() resetMatrix() applyMatrix()

Updated on August 30, 2010 04:29:39pm EDT